pandoc-3.7.0.2: Conversion between markup formats

Copyright | Copyright (C) 2006-2024 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc

Contents

- Definitions
- Generics
- Options
- Logging
- Typeclass
- Internal data files
- Error handling
- Readers: converting to Pandoc format
- Writers: converting from Pandoc format
- Rendering templates and default templates
- Localization
- Version information

Description

This helper module exports the main writers, readers, and data structure definitions from the Pandoc libraries.

A typical application will chain together a reader and a writer to convert strings from one format to another. For example, the following simple program will act as a filter converting markdown fragments to reStructuredText, using reference-style links instead of inline links:

    module Main where
    import Text.Pandoc
    import Data.Text (Text)
    import qualified Data.Text.IO as T

    mdToRST :: Text -> IO Text
    mdToRST txt = runIOorExplode $
      readMarkdown def txt
      >>= writeRST def{ writerReferenceLinks = True }

    main :: IO ()
    main = do
      T.getContents >>= mdToRST >>= T.putStrLn

Synopsis

- module Text.Pandoc.Definition
- module Text.Pandoc.Generic
- module Text.Pandoc.Options
- module Text.Pandoc.Logging
- module Text.Pandoc.Class
- module Text.Pandoc.Data
- module Text.Pandoc.Error
- module Text.Pandoc.Readers
- module Text.Pandoc.Writers
- module Text.Pandoc.Templates
- setTranslations :: PandocMonad m => Lang -> m ()
- translateTerm :: PandocMonad m => Term -> m Text
- pandocVersion :: Version
- pandocVersionText :: Text

# Definitions

module Text.Pandoc.Definition

# Generics

module Text.Pandoc.Generic

# Options

module Text.Pandoc.Options

# Logging

module Text.Pandoc.Logging

# Typeclass

module Text.Pandoc.Class

# Internal data files

module Text.Pandoc.Data

# Error handling

module Text.Pandoc.Error

# Readers: converting to Pandoc format

module Text.Pandoc.Readers

# Writers: converting from Pandoc format

module Text.Pandoc.Writers

# Rendering templates and default templates

module Text.Pandoc.Templates

# Localization

setTranslations :: PandocMonad m => Lang -> m () #

Select the language to use with `translateTerm`. Note that this does not read a translation file; that is only done the first time `translateTerm` is used.

translateTerm :: PandocMonad m => Term -> m Text #

Get a translation from the current term map. Issue a warning if the term is not defined.

# Version information

pandocVersion :: Version #

Version number of pandoc library.

pandocVersionText :: Text #

Text representation of the library's version number.